@import url('https://fonts.googleapis.com/css2?family=Syne:wght@400..800&display=swap');

/*=============== VARIABLES CSS ===============*/
:root {
    --header-height: 3.5rem;

    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    /* 
      Change favorite color
      Default: hsl(255, 90%, 60%)
      Orange: hsl(14, 90%, 60%) - Blue: hsl(210, 90%, 50%)
      Pink: hsl(356, 100%, 65%) - Green: hsl(162, 90%, 40%)

      For more colors visit: https://colors.dopely.top/color-pedia
      -> Choose any color 
      -> Click on tab (Color Conversion)
      -> Copy the color mode (HSL)
  */
    --hue: 255;
    --first-color: hsl(var(--hue), 90%, 60%);
    --first-color-alt: hsl(var(--hue), 82%, 56%);
    --first-color-light: hsl(var(--hue), 40%, 80%);
    --title-color: hsl(var(--hue), 24%, 16%);
    --text-color: hsl(var(--hue), 8%, 45%);
    --text-color-light: hsl(var(--hue), 8%, 60%);
    --white-color: hsl(0, 0%, 100%);
    --body-color: hsl(0, 0%, 100%);
    --container-color: hsl(0, 0%, 100%);
    --shadow-color: hsla(var(--hue), 90%, 30%, .1);

    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: "Syne", sans-serif;
    --biggest-font-size: 2rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1rem;
    --normal-font-size: .938rem;
    --small-font-size: .813rem;
    --smaller-font-size: .75rem;

    /*========== Font weight ==========*/
    --font-regular: 400;
    --font-medium: 500;
    --font-semi-bold: 600;

    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
    --z-modal: 1000;
}

iframe {
    width: 350px;
    height: 160px;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
    :root {
        --biggest-font-size: 4.5rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1.125rem;
        --small-font-size: .875rem;
        --smaller-font-size: .813rem;
    }
}

/*=============== BASE ===============*/
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

body,
input,
textarea,
button {
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
}

body {
    background-color: var(--body-color);
    color: var(--text-color);
    transition: background-color .4s;
}

input,
button,
textarea {
    border: none;
    outline: none;
}

h1,
h2,
h3,
h4 {
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

/*=============== THEME ===============*/

.nav__actions {
    display: flex;
    align-items: center;
    column-gap: 1rem;
}

.change-theme {
    color: var(--white-color);
    font-size: 1.25rem;
    cursor: pointer;
    transition: color .4s;
}

/*========== Variables Dark theme ==========*/
body.dark-theme {
    --title-color: hsl(var(--hue), 24%, 85%);
    --text-color: hsl(var(--hue), 8%, 70%);
    --body-color: hsl(var(--hue), 16%, 8%);
    --container-color: hsl(var(--hue), 16%, 12%);
    --shadow-color: hsla(var(--hue), 32%, 4%, .4);
}

/*========== 
	Color changes in some parts of 
	the website, in dark theme
==========*/

.dark-theme .bg-header {
    box-shadow: 0 12px 24px var(--shadow-color);
}

.dark-theme .services__modal {
    background-color: hsl(var(--hue), 90%, 8%, .2);
}

.dark-theme::-webkit-scrollbar {
    background-color: hsl(var(--hue), 16%, 15%);
}

.dark-theme::-webkit-scrollbar-thumb {
    background-color: hsl(var(--hue), 16%, 15%);
}

.dark-theme::-webkit-scrollbar-thumb:hover {
    background-color: hsl(var(--hue), 16%, 35%);
}







/*=============== REUSABLE CSS CLASSES ===============*/
.container {
    max-width: 1120px;
    margin-inline: 5px;
}

.grid {
    display: grid;
    gap: 1.5rem;
}

.section {
    padding-block: 5rem 1rem;
}

.section__title {
    font-size: var(--h1-font-size);
    text-align: center;
    margin-bottom: 2rem;
}

.perfil {
    width: 250px;
    height: 250px;
    background-color: var(--body-color);
    border: 8px solid var(--first-color);
    border-radius: 50%;
    display: grid;
    place-items: center;
    transition: background-color .4s;
}

.perfil__content {
    width: 180px;
    height: 180px;
    border: 10px solid var(--first-color);
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    background: linear-gradient(180deg,
            hsl(var(--hue), 90%, 80%),
            hsl(var(--hue), 90%, 30%));
}

.perfil__img {
    width: 140px;
}


.main {
    overflow: hidden;
}

/*=============== HEADER & NAV ===============*/

.header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    background-color: transparent;
    z-index: var(--z-fixed);
    transition: background-color .4s, box-shadow .4s;
}

nav {
    position: relative;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.nav__logo {
    color: var(--white-color);
    font-weight: var(--font-semi-bold);
    transition: color .4s;
}

.nav__toggle,
.nav__close {
    display: inline-flex;
    font-size: 1.25rem;
    cursor: pointer;
}

.nav__toggle {
    color: var(--white-color);
    transition: color .4s;

}

.nav__close {
    color: var(--title-color);
}

/* Navigation for mobile devices */
@media screen and (max-width:1150px) {
    .nav__menu {
        position: fixed;
        top: -100%;
        left: 0;
        background-color: var(--body-color);
        width: 100%;
        box-shadow: 0 12px 24px var(--shadow-color);
        padding-block: 5rem 4rem;
        transition: top .4s;
    }
}

.nav__list {
    display: flex;
    flex-direction: column;
    row-gap: 2.5rem;
    text-align: center;
}

.nav__link {
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
    transition: color .4s;
}

.nav__link:hover {
    color: var(--first-color);
}

.nav__close {
    position: absolute;
    top: 1.15rem;
    right: 1.5rem;
}

/* Show menu */

.show-menu {
    top: 0;
}

.bg-header :is(.nav__logo, .nav__toggle) {
    color: var(--title-color);
}

/* Change background header */
.bg-header {
    background-color: var(--body-color);
    box-shadow: 0 2px 16px var(--shadow-color);
}

/* Header background color of other pages */
.header-pages {
    background-color: var(--body-color);

}

.header-pages :is(.nav__logo, .nav__toggle, .change-theme) {
    color: var(--title-color);
}

/*=============== BUTTON ===============*/

.button {
    display: inline-flex;
    justify-content: center;
    background-color: var(--first-color);
    color: var(--white-color);
    font-weight: var(--font-semi-bold);
    padding: 1rem 2rem;
    transition: background-color .4s, box-shadow .4s;
}

.button:hover {
    background-color: var(--first-color-alt);
    box-shadow: 0 8px 24px hsla(var(--hue), 90%, 30%, .3);
}

/*=============== HOME ===============*/
.home {
    position: relative;
    border-bottom: 8px solid var(--first-color);

}

.home__rectangle {
    width: 100%;
    height: 220px;
    background-color: var(--first-color);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.home__container {
    padding-block: 1rem 3rem;
}

.home__perfil {
    justify-self: center;
}

.home__content {
    row-gap: 3rem;
}

.home__data {
    row-gap: .75rem;
    text-align: center;
}

.home__name {
    font-size: var(--biggest-font-size);
}

.home__profession {
    font-size: var(--h2-font-size);
}

.home__social {
    display: flex;
    justify-content: center;
    column-gap: 1rem;
}

.home__social-link {
    font-size: 1.5rem;
    color: var(--title-color);
    transition: color .4s;
}

.home__social-link:hover {
    color: var(--first-color);
}

.home__button {
    justify-self: center;
}


/*=============== ABOUT ===============*/
.about__page {
    padding-bottom: 4rem;
}

.about__perfil {
    justify-self: center;
}

.about__content {
    row-gap: 4rem;
}

.about_-data {
    row-gap: 2rem;
}

.about__info {
    row-gap: .75rem;
    text-align: center;
}

.about__name {
    font-size: var(--h1-font-size);
}

.about_-profession {
    font-size: var(--h2-font-size);
}

.about__description b {
    color: var(--first-color);
}

.about__button {
    justify-self: center;
}

.about__skills-title {
    font-size: var(--h3-font-size);
    text-align: center;
    margin-bottom: 2rem;
}

.about__skills-img {
    width: 35px;
    transform: transform .4s;
}

.about__skills-img:hover {
    transform: translateY(-.5rem);
    cursor: pointer;
}

.about__skills-content {
    grid-template-columns: repeat(5, max-content);
    justify-content: center;
    align-items: center;
    gap: 2rem 1.5rem;
}



/*=============== SERVICES ===============*/


.services__container {
    row-gap: 2rem;
}

.services__card {
    background-color: var(--container-color);
    padding: 3.5rem 1.5rem;
    box-shadow: 0 12px 24px var(--shadow-color);
    text-align: center;
    transition: background-color .4s;
}

.services__icon {
    display: inline-block;
    font-size: 3rem;
    color: var(--first-color);
    margin-bottom: 1.5rem;
}

.services__title {
    font-size: var(--h2-font-size);
    margin-bottom: 1rem;
}

.services__description {
    margin-bottom: 3rem;
}

.services__button {
    cursor: pointer;
}

.services__modal {
    position: fixed;
    inset: 0;
    background-color: hsla(var(--hue), 90%, 30%, .3);
    backdrop-filter: blur(24px);
    --webkit-backdrop-filter: blur(24px);
    display: grid;
    place-items: center;
    padding: 2rem 1.5rem;
    opacity: 0;
    visibility: hidden;
    z-index: var(--z-modal);
    transition: opacity .4s, visiblity .4s;
}

.services__modal-content {
    max-height: 420px;
    position: relative;
    background-color: var(--container-color);
    padding: 3.5rem 1.5rem;
    border-bottom: 6px solid var(--first-color);
    overflow: auto;
}

.services__modal-content::-webkit-scrollbar {
    width: .6rem;
}

.services__modal-content::-webkit-scrollbar-thumb {
    background-color: var(--text-color-light);
}

.services__modal-title {
    font-size: var(--h2-font-size);
    margin-bottom: 2.5rem;
}

.services__modal-list {
    margin-left: 1rem;
}

.services__modal-item {
    text-align: initial;
    list-style: square;
}

.services__modal-item::marker {
    color: var(--first-color);
}

.services__modal-close {
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    font-size: 1.5rem;
    color: var(--first-color);
    cursor: pointer;
}


/* Active modal */

.active-modal {
    opacity: 1 !important;
    visibility: visible !important;
}

/*=============== WORK ===============*/

.work__container {
    row-gap: 2rem;
}

.work__link {
    display: inline-block;
    position: relative;
    overflow: hidden;
    margin-bottom: 1rem;
}

.work-video {
    display: block;
    max-width: 100%;
    height: auto;
}


.work__img {
    transition: filter .9s, transform .5s;
}

.work__icon {
    position: absolute;
    top: 1.25rem;
    right: 1.25rem;
    font-size: 2rem;
    color: var(--first-color);
    transition: transform .4s;
    padding-right: 70px;
}

.work-group-2 {
    position: absolute;
    top: 1.25rem;
    right: 1.25rem;
    font-size: 2rem;
    color: var(--first-color);
    transition: transform .4s;
}

.work-group {
    position: relative;
    display: flex;
    gap: 0.8rem;
    margin-top: 0.7rem;
    padding-bottom: 1rem;
}

.work__link:hover .work__img {
    transform: scale(1.1);
    filter: none;
    cursor: pointer;
}

.work__link:hover .work-group-2 {
    transform: translateY(-5px);
}


.work__title {
    font-size: var(--h2-font-size);
    margin-bottom: .25rem;
}

.work__page {
    padding-bottom: 4rem;
}

.work .work-title-main {
    display: flex;
    justify-content: space-between;
}

.work .work-title-2 i {
    font-size: 30px;
}

.work .work-title-2 i:hover {
    transform: translateY(-10px);
}

/*=============== TESTIMONIAL ===============*/
.testimonial__container {
    position: relative;

}

.testimonial__swiper {
    padding-bottom: 2rem;
}

.testimonial__card {
    background-color: var(--container-color);
    padding: 2rem 1.25rem 2.5rem 1.25rem;
    border-inline: 8px solid var(--first-color);
    box-shadow: 0 12px 24px var(--shadow-color);
    text-align: center;
    transition: background-color .4s;
}

.testimonial__border {
    width: 100%;
    height: auto;
}

.testimonial__img {
    transition: filter .4s;
}

.testimonial__name {
    font-size: var(--h2-font-size);
    margin-bottom: .5rem;
}

.testimonial__card:hover .testimonial__img {
    filter: none;
}


/* Swiper class */

.swiper-pagination-bullets.swiper-pagination-horizontal {
    bottom: -1rem;
}

.swiper-pagination-bullets {
    /* background-color: var(--first-color-light); */
    opacity: 1;
}

.swiper-pagination-bullets-active {
    background-color: var(--first-color);
}

/*=============== CONTACT ===============*/

.contact__container {
    padding-bottom: 4rem;
}

.contact__button {
    justify-self: center;
}

.contact__page {
    padding-block: 1rem 4rem;
}

.contact__form {
    position: relative;
}

.contact__box {
    position: relative;
    width: 100%;
    height: 58px;
}

.contact__input {
    width: 100%;
    height: 100%;
    background-color: var(--body-color);
    border: 3px solid var(--text-color-light);
    padding: .5rem 1.5rem;
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
    transition: border-color .4s, background-color .4s;
}

.contact__input:focus {
    border-color: var(--title-color);
}

.contact__input:-webkit-autofill {
    transition: background-color 6000s, color 60000ms;
}

.contact__label {
    position: absolute;
    top: -16px;
    left: 16px;
    font-size: var(--small-font-size);
    font-weight: var(--font-semi-bold);
    color: var(--title-color);
    background-color: var(--body-color);
    padding: 8px;
    transition: background-color .4s;
}

.contact__area {
    height: 10rem;
}

.contact__area textarea {
    resize: none;
    padding-top: 1.25rem;
}

.contact__send {
    padding-block: 1.25rem;
    cursor: pointer;
}

.contact__message {
    position: absolute;
    bottom: 70px;
    left: 0;
    font-size: var(--small-font-size);
    font-weight: var(--font-semi-bold);
    color: var(--title-color);
}



/*=============== FOOTER ===============*/

.footer {
    background-color: var(--first-color);
}

.footer__container {
    padding-block: 4rem 2rem;
    text-align: center;
    row-gap: 5rem;
}

.footer__content a,
.footer__copy {
    color: var(--white-color);
}

.footer__logo {
    font-size: var(--h1-font-size);
    font-weight: var(--font-semi-bold);
    justify-self: center;
}

.footer__links,
.footer__social {
    display: flex;
    justify-content: center;
}

.footer__links {
    flex-wrap: wrap;
    gap: 2rem;
}

.footer__link {
    font-weight: var(--font-semi-bold);
}

.footer__logo:hover,
.footer__link:hover {
    text-decoration: underline;
}

.footer__social {
    column-gap: 1rem;
}

.footer__social-link {
    font-size: 1.5rem;
    transform: transform .4s;
}

.footer__social-link:hover {
    transform: translateY(-.25rem);
}

.footer__copy {
    font-size: var(--small-font-size);
    font-weight: var(--font-medium);
}

/*=============== SCROLL BAR ===============*/

::-webkit-scrollbar {
    width: .6rem;
    background-color: hsl(var(--hue), 20%, 85%);
}

::-webkit-scrollbar-thumb {
    background-color: hsl(var(--hue), 20%, 65%);
}

::-webkit-scrollbar-thumb:hover {
    background-color: hsl(var(--hue), 20%, 55%);
}

/*=============== SCROLL UP ===============*/
.scrollup {
    position: fixed;
    right: 1rem;
    bottom: -50%;
    background-color: var(--container-color);
    box-shadow: 0 12px 24px var(--shadow-color);
    display: inline-flex;

    padding: 6px;
    font-size: 1.25rem;
    z-index: var(--z-tooltip);
    transition: bottom .4s, transform .4s, background-color .4s;
}

.scrollup:hover {
    transform: translateY(-.5rem);
}

/* Show Scroll Up */
.show-scroll {
    bottom: 3rem;
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width:320px) {
    .container {
        margin-inline: 1rem;
    }

    .services__modal {
        padding-inline: .5rem;
    }

    .about__skills-content {
        grid-template-columns: repeat(4, max-content);
    }
}

/* For medium devices */
@media screen and (min-width:576px) {


    .services_container {
        grid-template-columns: 320px;
        justify-content: center;
    }

    /* .services__modal {
        width: 400px;
    } */

    .work__container {
        grid-template-columns: 300px;
        justify-content: center;
    }

    .about__container {
        grid-template-columns: 400px;
        justify-content: center;
    }
}

@media screen and (min-width:768px) {
    .services_container {
        grid-template-columns: repeat(2, 320px);
    }

    .work__container {
        grid-template-columns: repeat(2, 350px);
    }

    .testimonial__container {
        max-width: 700px;
        margin-inline: auto;
    }

    .testimonial__description {
        width: 470px;
        margin-inline: auto;
    }

    .contact__page {
        grid-template-columns: 670px;
        justify-content: center;
    }

    .contact__group {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1rem;

    }

    .contact__area {
        height: 18rem;
    }

    .contact__send {
        justify-self: center;
        margin-top: 1.5rem;
    }
}

/* For large devices */
@media screen and (min-width:1150px) {
    .container {
        margin-inline: auto;
    }

    .section {
        padding-block: 7rem 2rem;

    }

    .section__title {
        margin-bottom: 3.5rem;
    }

    .nav {
        height: calc(var(--header-height) +2rem);
        column-gap: 3rem;
    }

    .nav__toggle,
    .nav__close {
        display: none;
    }

    .nav__menu {
        margin-left: auto;
    }

    .nav__list {
        flex-direction: row;
        align-items: center;
        column-gap: 3rem;
    }

    .change-theme {
        color: var(--title-color);
    }

    .perfil {
        width: 470px;
        height: 430px;
        border-width: 15px;
    }

    .perfil__content {
        width: 345px;
        height: 345px;
        border-width: 20px;
    }

    .perfil__img {
        width: 275px;
    }

    .home__rectangle {
        width: 30vw;
        height: 100%;
    }

    .home__container {
        position: relative;
        grid-template-columns: 500px 300px;
        align-items: center;
        column-gap: 4rem;
        padding-block: 3.5rem 8rem;
    }

    .home__content {
        width: 500px;
        /* row-gap: 4rem; */
    }

    .home__data {
        row-gap: 1rem;
        /* text-align: initial; */
    }

    .home__social {
        flex-direction: column;
        row-gap: 1.5rem;
        position: absolute;
        top: -4rem;
        bottom: 0;
        right: 0;
    }

    .home__social-link {
        color: var(--first-color);
    }

    /* .home__button {
        justify-self: flex-start;
    } */
    .services_container {
        grid-template-columns: repeat(3, 345px);
    }

    .services__card {
        padding-block: 4.5rem;
    }

    .services__modal-content {
        max-height: 480px;
        padding: 5.5rem 2rem;
    }

    .services__modal-close {
        font-size: 2rem;

    }

    .work__container {
        grid-template-columns: repeat(3, 350px);
        row-gap: 4rem;
    }

    .testimonial__card {
        padding-block: 3rem 3.5rem;
    }

    .testimonial__border {

        margin-bottom: 1.5rem;
    }

    .contact__container {
        grid-template-columns: repeat(2, max-content);
        justify-content: center;
        align-items: center;
        column-gap: 25rem;
        padding-block: 1rem 5rem;
    }

    .contact__container .section__title {
        text-align: initial;
        margin: 0;
    }

    .footer__container {
        row-gap: 6rem;
        padding-block: 3.5rem;
    }

    .footer__content {
        grid-template-columns: 1fr 2fr 1fr;
        align-items: center;
    }

    .footer__logo {
        font-size: var(--h2-font-size);
    }

    .foo {
        column-gap: 3rem;
    }

    .footer__social {
        column-gap: 1.5rem;
    }

    .scrollup {
        right: 3rem;
    }

    .about__container {
        grid-template-columns: 500px 440px;
        align-items: center;
        column-gap: 8rem;
        padding-top: 2rem;
    }

    .about_-data {
        row-gap: 3.5rem;
    }

    .about__info {
        text-align: initial;
    }

    .about__button {
        justify-self: flex-start;
    }

    .about__skills-title {
        text-align: initial;
    }

    .about__skills-content {
        grid-template-columns: repeat(7, max-content);
        justify-content: initial;
    }

    .about__skills-img {
        width: 40px;
    }
}


@media screen and (min-width:1500px) {
    .home__rectangle {
        width: 33vw;
    }
}

/* For 2K resolutions (2048 x 1152, 2048 x 1536) */

@media screen and (min-width:2048px) {
    .home__rectangle {
        width: 40vw;
    }
}